
<nav class="navbar navbar-default" role="navigation">
  <div class="container-fluid">
    <!-- Brand and toggle get grouped for better mobile display -->
    <div class="navbar-header">
        <a href="{{ path('menu') }}" id="logo_responsive" style="display:none;"><img src="{{ asset('vendor/img/logoMDR.png') }}" style="margin-top: 0.5%; margin-left: 18%; width: 48px;"></a>

        {% block info %}
        <label id="user_responsive" style="color: rgb(12, 12, 12); position: absolute; margin-top: 14px; margin-left: 70px; display:none;" >{{ app.user.uClave | upper }}</label>
        {% endblock %}

      <button type="button" class="navbar-toggle collapsed" data-toggle="collapse" data-target="#bs-example-navbar-collapse-1">
        <span class="sr-only">Toggle navigation</span>
        <span class="icon-bar"></span>
        <span class="icon-bar"></span>
        <span class="icon-bar"></span>
      </button>
    </div>

    <!-- Collect the nav links, forms, and other content for toggling -->
    <div class="collapse navbar-collapse" id="bs-example-navbar-collapse-1">
      <ul class="nav navbar-nav" style="width: auto;">
        {# Punto de Venta #}
        {% if is_granted('ROLE_AGENTE') %}
        <li class="dropdown">
          <a href="#" class="dropdown-toggle" data-toggle="dropdown">Punto de Venta <span class="caret"></span></a>
          <ul class="dropdown-menu" role="menu">
            {% if is_granted('ROLE_CALLCENTER') or is_granted('ROLE_ATC') %}
            <li><a href="{{ path('pedidos_new', {canal: '20'}) }}">Nueva Venta (Call Center)</a></li>
            <li><a href="{{ path('toma_flash') }}">Flash</a></li>
            {% endif %}
            {# {% if is_granted('ROLE_E-COMMERCE') %}
            <li><a href="{{ path('pedidos_new', {canal: '30'}) }}">Nueva Venta (E-Commerce)</a></li>
            {% endif %} #}
            <li><a href="{{ path('ventas') }}">Mis Ventas</a></li>
            <li><a href="{{ path('nuxiba_conexion') }}" target="conexionNuxiba">Conexión Llamadas</a></li>
          </ul>
        </li>
        {% endif %}
        {# Cobranza #}
        {% if is_granted('ROLE_COBRANZA') %}
        <li class="dropdown">
          <a href="#" class="dropdown-toggle" data-toggle="dropdown">Cobranza <span class="caret"></span></a>
          <ul class="dropdown-menu" role="menu">
            <li><a href="{{ path('posfechados') }}">Cobros</a></li>
            <li><a href="{{ path('cierre') }}">Cierres / Conciliación</a></li>
            <li><a href="{{ path('cancelados') }}">Cancelación de Cobro</a></li>
            <li><a href="{{ path('bitacora') }}">Bitacora</a></li>            
            <li><a href="{{ path('binterminal') }}">Bin Terminales</a></li>
            <li><a href="{{ path('RecPedidos') }}">Reenvio SAP</a></li>
            <li><a href="{{ path('pauta_seca') }}">Pauta Seca</a></li>
          </ul>
        </li>
        {% endif %}
        {# ATC #}
        {% if is_granted('ROLE_ATC') or is_granted('ROLE_ADMINISTRADOR') or is_granted('ROLE_COBRANZA') %}
        <li class="dropdown">
          <a href="#" class="dropdown-toggle" data-toggle="dropdown">ATC <span class="caret"></span></a>
          <ul class="dropdown-menu" role="menu">
            <li><a href="{{ path('consultas') }}">Consultas</a></li>
            <li><a href="{{ path('bitacoraATC') }}">Bitacora</a></li>
            <li><a href="{{ path('RecPedidos') }}">Reenvio SAP</a></li>            
            <li><a href="{{ path('invPedidos') }}">Investigación de Pedidos</a></li>          
          </ul>
        </li>
        {% endif %}
        
        {# Administracion #}
        {% if is_granted('ROLE_ADMINISTRADOR') or is_granted('ROLE_SUPERVISOR_ATC') %}
        <li class="dropdown">
          <a href="#" class="dropdown-toggle" data-toggle="dropdown">Administración <span class="caret"></span></a>
          <ul class="dropdown-menu" role="menu">
          	{% if is_granted('ROLE_ADMINISTRADOR') %}
            <li><a href="{{ path('didsmenu') }}">DIDS</a></li>
            {#<li><a href="{{ path('especialidades') }}">Especialidades</a></li>#}
            <li><a href="{{ path('gastosenvio') }}">Gastos de Envio</a></li>
            <li><a href="{{ path('productoprecios') }}">Producto Precio</a></li>
            <li><a href="{{ path('tipollamada') }}">Tipo de Llamadas</a></li>
            <li><a href="{{ path('subtipollamada') }}">Sub Tipo de Llamadas</a></li>
            {% endif %}
            {% if is_granted('ROLE_SUPERVISOR_ATC') or is_granted('ROLE_ADMINISTRADOR') %}
            <li><a href="{{ path('listanegratarjetas') }}">Lista Negra de Tarjetas</a></li>            
            <li><a href="{{ path('lista_negra_telefonica') }}">Lista Negra Telefonica</a></li>
            <li><a href="{{ path('lista_negra_direcciones') }}">Lista Negra de Direcciones</a></li>
            <li><a href="{{ path('lista_negra_clientes') }}">Lista Negra de Clientes</a></li>
            <li><a href="{{ path('lista_negra_montos') }}">Productos por Pedido</a></li>
            <li><a href="{{ path('lista_negra_zona_riesgo') }}">Zonas de Riesgo</a></li>     
            {% endif %}
            {% if is_granted('ROLE_ADMINISTRADOR') %}
            <li><a href="{{ path('coberturaenvio') }}">Cobertura de envío</a></li>
            {#<li><a href="{{ path('parametros') }}">Parametros</a></li>#}
			<li><a href="{{ path('usuario') }}">Usuarios</a></li>
            <li><a href="{{ path('clientes') }}">Clientes</a></li>
            <li><a href="{{ path('RecPedidos') }}">Reenvio SAP</a></li>
			<li><a href="{{ path('descuentos') }}">Descuentos</a></li> 
            {% endif %}
            {% if is_granted('ROLE_SUPERVISOR_ATC') %}
            <li><a href="{{ path('reglas_fraude') }}">Reglas Contra Fraude</a></li>  
            {% endif %}
                       
          </ul>
        </li>
        {% endif %}

        {# Reportes #}
        {% if is_granted('ROLE_SUPERVISOR') or is_granted('ROLE_COBRANZA') or is_granted('ROLE_ATC') or is_granted('ROLE_ADMINISTRADOR') %}
        <li class="dropdown">
          <a href="#" class="dropdown-toggle" data-toggle="dropdown">Reportes<span class="caret"></span></a>
          <ul class="dropdown-menu" role="menu">
            
            {% if is_granted('ROLE_SUPERVISOR') or is_granted('ROLE_COBRANZA') or is_granted('ROLE_ADMINISTRADOR')%}
            <li><a href="{{ path('reportes_ventas') }}">Ventas</a></li>
            <li><a href="{{ path('reportes_ventas_efectivas') }}">Ventas Efectivas</a></li>
            {% endif %}
            
            {% if is_granted('ROLE_ATC') or is_granted('ROLE_COBRANZA') or is_granted('ROLE_SUPERVISOR') %}
            <li><a href="{{ path('comentariospedido') }}">Comentarios - Pedido</a></li>
            {% endif %}

            {% if is_granted('ROLE_ADMINISTRADOR') or is_granted('ROLE_COBRANZA') or is_granted('ROLE_SUPERVISOR') %}
            <li><a href="{{ path('reporte_productos') }}">Productos</a></li>
            <li><a href="{{ path('reporte_usuarios') }}">Usuarios</a></li>
            <li><a href="{{ path('reporte_efectividad') }}">Efectividad</a></li>
            <li><a href="{{ path('reporte_flash') }}">Reporte Llamadas</a></li>
            {% endif %}

            {% if is_granted('ROLE_COBRANZA') or is_granted('ROLE_ADMINISTRADOR')%}
            <li><a href="{{ path('reporte_pedidos_cobrados') }}">Pedidos Cobrados</a></li>
            <li><a href="{{ path('reporte_pedidos_cancelados') }}">Pedidos Cancelados</a></li>
            {% endif %}
          </ul>
        </li>
        {% endif %}

        {# Outbounding #}
        {% if is_granted('ROLE_SUPERVISOR') or is_granted('ROLE_AGENTE') %}
        <li class="dropdown">
          <a href="#" class="dropdown-toggle" data-toggle="dropdown">Outbounding<span class="caret"></span></a>
          <ul class="dropdown-menu" role="menu">
            {% if is_granted('ROLE_CALLCENTER') or is_granted('ROLE_ATC') %}
            <li><a href="{{ path('asignados', {canal: '20'}) }}">Asignaciones (Call Center)</a></li>
            {% endif %}
            {# {% if is_granted('ROLE_E-COMMERCE') %}
            <li><a href="{{ path('asignados', {canal: '30'}) }}">Asignaciones (E-Commerce)</a></li>
            {% endif %} #}
            {% if is_granted('ROLE_SUPERVISOR') %}
            <li><a href="{{ path('asigna_marcacion_carga', {canal: '20'}) }}">Carga (Call Center)</a></li>
            {# <li><a href="{{ path('asigna_marcacion_carga', {canal: '30'}) }}">Carga (E-Commerce)</a></li> #}
            {% endif %}
          </ul>
        </li>
        {% endif %}
        
        {# Cuenta #}
        <li class="dropdown">
          <a href="#" class="dropdown-toggle" data-toggle="dropdown">Cuenta<span class="caret"></span></a>
          <ul class="dropdown-menu" role="menu">
            <li><a href="{{ path('usuario_change_pass') }}">Cambio de contraseña</a></li>
            <li><a href="{{ path('sesion_logout') }}">Salir</a></li>
          </ul>
        </li>
        
        {# Intranet #}
        <li><a href="{{ path('ir_intranet') }}" target="_blank" style="color: rgb(255, 255, 255); background: none repeat scroll 0% 0% rgb(24, 136, 136);">Intranet</a></li>
        
      </ul>
    </div><!-- /.navbar-collapse -->
  </div><!-- /.container-fluid -->
</nav>

